package cn.ezhizao.project.business.mapper;

import cn.ezhizao.project.business.domain.BizDayworkItemReject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 废品原因Mapper接口
 *
 * @author ezhizao
 * @date 2023-12-28
 */
public interface BizDayworkItemRejectMapper extends BaseMapper<BizDayworkItemReject>
{
    /**
     * 查询废品原因列表
     *
     * @param bizDayworkItemReject 废品原因
     * @return 废品原因集合
     */
    public List<BizDayworkItemReject> getList(BizDayworkItemReject bizDayworkItemReject);
    public List<BizDayworkItemReject> getRejectReport(BizDayworkItemReject bizDayworkItemReject);
    public List<BizDayworkItemReject> getRejectRecords(BizDayworkItemReject bizDayworkItemReject);
    public List<BizDayworkItemReject> getRejectListByItemId(Long dayworkItemId);
    public List<BizDayworkItemReject> getSortStandardLot(BizDayworkItemReject bizDayworkItemReject);
    public List<BizDayworkItemReject> getSortCheckStandardList(BizDayworkItemReject bizDayworkItemReject);
    public List<BizDayworkItemReject> getSortCheckStandard(BizDayworkItemReject bizDayworkItemReject);
    public List<BizDayworkItemReject> getSortRejectList(BizDayworkItemReject bizDayworkItemReject);
    int updateDayworkItemId(List<BizDayworkItemReject> rejects);

    int removeSpecial(List<Long> firstDayworkIds);
}
